import {NgModule} from "@angular/core";
import {CommonModule} from "@angular/common";
import {TerminologyComponent} from "./terminology.component";
import {MethodolocigalApproachComponent} from "./methodological-approach.component";
import {RouterModule} from "@angular/router";
import {PreviousRouteRecorder} from "../../utils/piwik/previousRouteRecorder.guard";
import {PageContentModule} from "../../dashboard/sharedComponents/page-content/page-content.module";
import {HowModule} from "../how/how.module";
import {IconsModule} from "../../utils/icons/icons.module";
import {IconsService} from "../../utils/icons/icons.service";
import {graph} from "../../utils/icons/icons";
import {BreadcrumbsModule} from "../../utils/breadcrumbs/breadcrumbs.module";
import {SliderTabsModule} from "../../sharedComponents/tabs/slider-tabs.module";
import {HelperModule} from "../../utils/helper/helper.module";

@NgModule({
  declarations: [TerminologyComponent, MethodolocigalApproachComponent],
  imports: [CommonModule, RouterModule.forChild([
    {
      path: '',
      redirectTo: 'terminology',
      pathMatch: 'full',
      canDeactivate: [PreviousRouteRecorder]
    },
    {
      path: 'terminology',
      component: TerminologyComponent,
      canDeactivate: [PreviousRouteRecorder]
    },
		{
      path: 'methodological-approach',
      component: MethodolocigalApproachComponent,
			canDeactivate: [PreviousRouteRecorder]
    }
  ]), PageContentModule, HowModule, IconsModule, BreadcrumbsModule, SliderTabsModule, HelperModule],
  exports: [TerminologyComponent, MethodolocigalApproachComponent]
})
export class MethodologyModule {
  constructor(private iconsService: IconsService) {
    this.iconsService.registerIcons([graph]);
  }
}
